package com.jeeplus.modules.sg.annualmaterialreport.entity;

import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.core.persistence.DataEntity;

/**
 * 年度物资上报明细实体类
 *
 * @author QY
 */
public class ExportDetails extends DataEntity<ExportDetails> {
    /**
     * 储备项目名称
     */
    private String reserveProjectName;
    /**
     * 物料编码
     * */
    private String materialCode;
    /**
     * 物料描述
     * */
    private String materialDescription;
    /**
     * 新扩展编码栏
     * */
    private String newExtendedCodeBar;
    /**
     * 扩展描述
     * */
    private String extendedDescription;
    /**
     * 单位
     * */
    private String company;
    /**
     * 单价
     * */
    private String unitPrice;
    /**
     * 数量
     * */
    private String quantity;


    public String getReserveProjectName() {
        return reserveProjectName;
    }

    public void setReserveProjectName(String reserveProjectName) {
        this.reserveProjectName = reserveProjectName;
    }

    @ExcelField(title="物料编码", align=2, sort=1)
    public String getMaterialCode() {
        return materialCode;
    }

    public void setMaterialCode(String materialCode) {
        this.materialCode = materialCode;
    }

    @ExcelField(title="物料描述", align=2, sort=2)
    public String getMaterialDescription() {
        return materialDescription;
    }

    public void setMaterialDescription(String materialDescription) {
        this.materialDescription = materialDescription;
    }

    @ExcelField(title="新扩展编码栏", align=2, sort=3)
    public String getNewExtendedCodeBar() {
        return newExtendedCodeBar;
    }

    public void setNewExtendedCodeBar(String newExtendedCodeBar) {
        this.newExtendedCodeBar = newExtendedCodeBar;
    }

    @ExcelField(title="扩展描述", align=2, sort=4)
    public String getExtendedDescription() {
        return extendedDescription;
    }

    public void setExtendedDescription(String extendedDescription) {
        this.extendedDescription = extendedDescription;
    }

    @ExcelField(title="单位", align=2, sort=5)
    public String getCompany() {
        return company;
    }

    public void setCompany(String company) {
        this.company = company;
    }

    @ExcelField(title="单价", align=2, sort=6)
    public String getUnitPrice() {
        return unitPrice;
    }

    public void setUnitPrice(String unitPrice) {
        this.unitPrice = unitPrice;
    }

    @ExcelField(title="数量", align=2, sort=7)
    public String getQuantity() {
        return quantity;
    }

    public void setQuantity(String quantity) {
        this.quantity = quantity;
    }
}
